libpdl-graphics-gnuplot-perl_2.011-2_all.deb


Advertisement

Description

libpdl-graphics-gnuplot-perl - gnuplot-based plotting backend for PDL

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpdl-graphics-gnuplot-perl
Package version 2.011
Package release 2
Package architecture all
Package type deb
Installed size 343 B
Download size 116.55 KB
Official Mirror archive.ubuntu.com
PDL::Graphics::Gnuplot allows PDL data to be plotted using Gnuplot as a backend
for 2D and 3D plotting and image display.
It is not necessary to understand the gnuplot syntax to generate basic, or
even complex, plots - though the full syntax is available for advanced users
who want the full flexibility of the Gnuplot backend.
Gnuplot recognizes both hard-copy and interactive plotting devices, and on
interactive devices (like X11) it is possible to pan, scale, and rotate both
2-D and 3-D plots interactively. You can also enter graphical data through
mouse clicks on the device window.

Alternatives

Package Version Architecture Repository
libpdl-graphics-gnuplot-perl_2.011-2_all.deb 2.011 all Ubuntu Universe
libpdl-graphics-gnuplot-perl - - -

Requires

Name Value
gnuplot -
libalien-gnuplot-perl >= 1.031
libipc-run-perl -
libsafe-isa-perl -
pdl -
perl -

Download

Type URL
Binary Package libpdl-graphics-gnuplot-perl_2.011-2_all.deb
Source Package libpdl-graphics-gnuplot-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpdl-graphics-gnuplot-perl deb package:
    # sudo apt-get install libpdl-graphics-gnuplot-perl

Files

Path
/usr/share/doc/libpdl-graphics-gnuplot-perl/changelog.Debian.gz
/usr/share/doc/libpdl-graphics-gnuplot-perl/copyright
/usr/share/man/man3/PDL::Graphics::Gnuplot.3pm.gz
/usr/share/perl5/PDL/Graphics/Gnuplot.pm

Changelog

2017-08-01 - Bas Couwenberg <sebastic@debian.org>
libpdl-graphics-gnuplot-perl (2.011-2) unstable; urgency=medium
* Team upload.
* Require at least libalien-gnuplot-perl 1.031.
(closes: #870090)
* Bump Standards-Version to 4.0.0, no changes.
2017-06-18 - Bas Couwenberg <sebastic@debian.org>
libpdl-graphics-gnuplot-perl (2.011-1) unstable; urgency=medium
* Team upload.
* Move from experimental to unstable.
2017-05-27 - Bas Couwenberg <sebastic@debian.org>
libpdl-graphics-gnuplot-perl (2.011-1~exp1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Drop spelling-errors.patch, applied upstream.
2016-06-24 - Bas Couwenberg <sebastic@debian.org>
libpdl-graphics-gnuplot-perl (2.005-3) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Bas Couwenberg ]
* Restructure control file with cme.
* Enable all hardening buildflags.
* Add upstream metadata.
* Add gbp.conf to use pristine-tar by default.
* Use dh_pdl to set versioned pdl dependency via ${pdl:Depends}.
* Bump Standards-Version to 3.9.8, no changes.
* Add patch to fix spelling errors.
* Require at least pdl 2.016 for pdl transition.
2015-09-25 - Niko Tyni <ntyni@debian.org>
libpdl-graphics-gnuplot-perl (2.005-2) unstable; urgency=medium
* Team upload.
* Make the package autopkgtestable, but skip the main test
suite for now.
2015-08-25 - Dima Kogan <dima@secretsauce.net>
libpdl-graphics-gnuplot-perl (2.005-1) unstable; urgency=medium
* Imported Upstream version 2.005
- better detection of newer gnuplot builds
2014-09-17 - Dima Kogan <dima@secretsauce.net>
libpdl-graphics-gnuplot-perl (2.003-1) unstable; urgency=low
* Initial Release (Closes: #762064)

See Also

Package Description
libpdl-io-hdf5-perl_0.73-3build2_i386.deb PDL Interface to the HDF5 Data Format
libpdl-io-matlab-perl_0.005-2build2_i386.deb PDL support to read/write Matlab format data files
libpdl-linearalgebra-perl_0.12-2build2_i386.deb Linear Algebra utils for PDL
libpdl-netcdf-perl_4.20-5build3_i386.deb Netcdf-IO for PDL
libpdl-stats-perl_0.75-1build3_i386.deb collection of statistics modules in Perl Data Language
libpeas-1.0-python2loader_1.22.0-2_i386.deb Application plugin library (Python 2 support)
libpegdown-java_1.6.0-1_all.deb Lightweight Markdown processing library
libpegex-perl_0.64-1_all.deb Acmeist PEG Parser Framework
libpentaho-reporting-flow-engine-java-doc_0.9.4-5_all.deb report library for java documentation
libpentaho-reporting-flow-engine-java_0.9.4-5_all.deb report library for java
libpeony-extension-dev_1.1.1-0ubuntu2_i386.deb libraries for Peony components (development files)
libpeony-extension-doc_1.1.1-0ubuntu2_all.deb libraries for Peony components (API documentation files)
libpeony-extension1_1.1.1-0ubuntu2_i386.deb libraries for Peony components
libperformance-dev_0.5.0-1build1_i386.deb GNUstep performance library (development files)
libperformance0.5_0.5.0-1build1_i386.deb GNUstep performance library (runtime library)
Advertisement
Advertisement